Bug 111987 - Menu items (main and right-click) disappear
Summary: Menu items (main and right-click) disappear
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.3.3.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 112262 115842 (view as bug list)
Depends on:
Blocks: Quickstarter
  Show dependency treegraph
 
Reported: 2017-08-23 17:15 UTC by stephan.sotter
Modified: 2021-03-13 04:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the problem (11.84 KB, image/png)
2017-08-23 17:18 UTC, stephan.sotter
Details
Screenshot of bug + freeze showing CPU load (55.71 KB, image/png)
2017-08-24 13:08 UTC, stephan.sotter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description stephan.sotter 2017-08-23 17:15:15 UTC
Description:
Seemingly randomly into a session it can happen that upon clicking a menu the items won't get displayed but instead only the two slim scrollbars. This affects the dropdowns from File, Edit, etc. as well as the popups from right clicks. It looks like LibO thinks there's no space to render the menus.

After closing all LibO-processes and restarting the application everything is back to normal.

So far there is no apparent trigger to reproduce it but we can observe it across several user and clients, all using Windows 10. Updating to Versions 5.3.4+ seems to reduce the frequency of it occurring.

Sorry that I can't provide any more info, but there's little reports in the net of it as well. Just found one other person to have experienced it:
https://ask.libreoffice.org/en/question/125690/menu-collapses/

Actual Results:  
Can't select anything from menus anymore

Expected Results:
Menu items displaying normally


Reproducible: Sometimes

User Profile Reset: No (Happens with different users on different machines, all freshly installed)

Additional Info:
Laptop with default Intel graphics and 2 external monitors + 1 internal display.


User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/58.0.3029.110 Safari/537.36
Comment 1 stephan.sotter 2017-08-23 17:18:49 UTC
Created attachment 135755 [details]
Screenshot of the problem
Comment 2 Aron Budea 2017-08-24 00:46:09 UTC
Seems like the fix for bug 104686 didn't really work (well, the main goal was to get rid of the crash, since that was identifiable, hopefully that part did work).
Comment 3 stephan.sotter 2017-08-24 13:06:14 UTC
Sorry Aron, but fixing the crash also did not work.
When the menu items disappeared again, I tried to reproduce the steps in the bug you linked (move cursor to top) and LibO did in fact crash. (Haven't had the crash before because I never moved the cursor.)

Or rather it froze the window and created 100% CPU load on 1 physical core (2 threads) on the LibO processes and additionally created 100% CPU load on 1 virtual core (1 thread) on a system process. Killing the LibO processes calmed the CPU load on the system process. (see screenshot)
Comment 4 stephan.sotter 2017-08-24 13:08:11 UTC
Created attachment 135764 [details]
Screenshot of bug + freeze showing CPU load
Comment 5 Maxim Monastirsky 2017-09-07 18:18:00 UTC
*** Bug 112262 has been marked as a duplicate of this bug. ***
Comment 6 roumanet 2017-09-07 19:21:18 UTC
Confirmed for the whole ticket.
Comment 7 Aron Budea 2018-03-12 04:52:37 UTC
*** Bug 115842 has been marked as a duplicate of this bug. ***
Comment 8 Aron Budea 2018-03-12 04:54:55 UTC
Marnix added useful information in bug 115842 indicating the issue might be tied to the Quickstarter:

"The bug still exists: the colleague using the Win10 Pro with the HD Graphics 630 reported the issue resurfaced the morning after reenabling the Quickstarter.
She reports it occurs when opening an Excel-file using Calc; I guess it will also occur using writer, but her work involves mainly spreadsheets.

She told me that when she ran into the bug while the Quickstarter was enabled, she kills the Libre process using task manager. When reopening the file, the menus would be normal.
This workaround, together with my own workaround (replugging a monitor cable) made me think: could it be that the Quickstarter fails to detect the available screen space? That would explain the bug (zero height menus, because the renderer thinks there is no space for the menu to load) and the used workarounds (which both force Libre to remeasure the available screen space)."
Comment 9 QA Administrators 2019-03-13 03:46:44 UTC Comment hidden (obsolete)
Comment 10 stephan.sotter 2019-03-13 07:40:03 UTC
The bug continued to pop up occasionally on different machines and LibO versions, though it has become increasingly rare. Sometimes, for a single user, months pass without the bug occurring again.
Comment 11 QA Administrators 2021-03-13 04:08:56 UTC
Dear stephan.sotter,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug